Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 971499 - GET schedule HTML renders links incorrectly
GET schedule HTML renders links incorrectly
Status: NEW
Product: RHQ Project
Classification: Other
Component: REST (Show other bugs)
4.8
Unspecified Unspecified
unspecified Severity low (vote)
: ---
: ---
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-06 12:25 EDT by Libor Zoubek
Modified: 2015-11-01 19:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch - fix in template (1.14 KB, patch)
2013-06-06 12:36 EDT, Libor Zoubek
no flags Details | Diff

  None (edit)
Description Libor Zoubek 2013-06-06 12:25:59 EDT
Description of problem:


Version-Release number of selected component (if applicable):
RHQ 4.8 master

How reproducible: always


Steps to Reproduce:
1. GET rest/metric/schedule/10001.html


Actual results: resulting HTML page has valid, bud incorrect links
"edit" and "self" links go to /rest/metric/schedule/10702.html.html

if you click to "self" link, next self link you get is  /rest/metric/schedule/10702.html.html.html

Expected results: links should look /rest/metric/schedule/10702.html


Additional info:
Comment 1 Libor Zoubek 2013-06-06 12:36:23 EDT
Created attachment 757751 [details]
proposed patch - fix in template
Comment 2 Heiko W. Rupp 2013-06-07 09:17:39 EDT
This is also present with json 

{"scheduleId":10002,"scheduleName":"CpuPerc.sys","enabled":true,"collectionInterval":600000,"displayName":"System Load","unit":"%","type":"MEASUREMENT","definitionId":10128,"links":[{"metric":{"href":"http://localhost:7080/rest/metric/data/10002"}},{"resource":{"href":"http://localhost:7080/rest/resource/10001"}},{"edit":{"href":"http://localhost:7080/rest/metric/schedule/10002.json"}},{"self":{"href":"http://localhost:7080/rest/metric/schedule/10002.json"}},{"coregui":{"href":"http://localhost:7080/coregui/#Resource/10001/Monitoring/Schedules"}}],"mtime":0}

Note You need to log in before you can comment on or make changes to this bug.